from django import forms
from mainApp.models import Categories, Currency, Products, ProductImage, SlideImage


class ProductForm(forms.ModelForm):
    category = forms.ModelChoiceField(queryset=Categories.objects.all())
    bestseller = forms.BooleanField(required=False)  # Add this line

    class Meta:
        model = Products
        fields = ['category', 'product_name', 'price', 'discount_amount', 'discount_percent', 'description', 'image', 'bestseller','hotkit','bestliquid','hotsellingtool']          
class ProductImageForm(forms.ModelForm):
    class Meta:
        model = ProductImage
        fields = ['image']

    def __init__(self, *args, **kwargs):
        super(ProductImageForm, self).__init__(*args, **kwargs)
        self.fields['image'].widget.attrs.update({'multiple': True})

class CategoryForm(forms.ModelForm):
    class Meta:
        model = Categories
        fields = ['name', 'image']

class SlideForm(forms.ModelForm):
    class Meta:
        model = SlideImage
        fields = ['image', 'title','description']

class CurrencyForm(forms.ModelForm):
    class Meta:
        model = Currency
        fields = ['name', 'code', 'exchange_rate']
        labels = {
            'name': 'Currency Name',
            'code': 'Currency Code',
            'exchange_rate': 'Exchange Rate',
        }

